%define oname ark

Summary:	Archive manager for Plasma 5
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		ark-16.04.2-ru.patch
Patch1:		ark-5.12.2-zip-encoding.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	bzip2-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
Conflicts:	ark

%description
Archive manager for Plasma 5.

%files
%doc COPYING COPYING.icons
%{_kde5_applicationsdir}/org.kde.ark.desktop
%{_kde5_bindir}/ark
%{_kde5_datadir}/config.kcfg/ark.kcfg
%{_kde5_docdir}/HTML/en/ark
%{_kde5_iconsdir}/hicolor/*/apps/ark.*
%{_kde5_mandir}/man1/ark.1*
%{_kde5_plugindir}/kio_dnd/extracthere.so
%{_kde5_services}/ark_part.desktop
%{_kde5_services}/ServiceMenus/ark_addtoservicemenu.desktop
%{_kde5_services}/ServiceMenus/ark_servicemenu.desktop
%{_kde5_servicetypes}/kerfufflePlugin.desktop
%{_kde5_sysconfdir}/xdg/ark.categories
%{_kde5_xmlguidir}/ark/*.rc
%{_datadir}/appdata/org.kde.ark.appdata.xml
%{_qt5_plugindir}/arkpart.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_cli7z.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_cliunarchiver.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_clirar.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_clizip.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libarchive.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libarchive_readonly.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libbz2.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libgz.so
%{_qt5_plugindir}/kerfuffle/kerfuffle_libxz.so

#----------------------------------------------------------------------------

%define kerfuffle_major 16
%define libkerfuffle %mklibname kerfuffle %{kerfuffle_major}

%package -n %{libkerfuffle}
Summary:	Shared library for Ark
Group:		System/Libraries

%description -n %{libkerfuffle}
Shared library for Ark.

%files -n %{libkerfuffle}
%{_kde5_libdir}/libkerfuffle.so.%{kerfuffle_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libkerfuffle.so

%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (54784b8) New version 16.04.3


